using System;
using Microsoft.Xna.Framework;

namespace Bespoke.Games.Framework
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public delegate void CustomUpdateHandler(object sender, CustomUpdateEventArgs e);

    /// <summary>
    /// 
    /// </summary>
    public class CustomUpdateEventArgs : EventArgs
    {
        /// <summary>
        /// 
        /// </summary>
        public GameTime GameTime
        {
            get
            {
                return mGameTime;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="gameTime"></param>
        public CustomUpdateEventArgs(GameTime gameTime)
        {
            mGameTime = gameTime;
        }

        private GameTime mGameTime;
    }
}
